<?php
/*---------------------------------------------------------------*/
/*
    Titre : Rotation image                                                                                                
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=961
    Date dition     : 15 Fv 2019                                                                                        
*/
/*---------------------------------------------------------------*/

 function rotation($pic , $angle){
 /* Paramtres : 
  * $pic : identifiant d'image obtenu par imagecreate() 
  * $angle : angle de rotation (90°, 180°, 270°) 
  */ 
  $width = imagesx($pic); 
  $height = imagesy($pic); 
  if ($angle==180) 
  $p = imagecreate($width, $height); 
  else 
  $p = imagecreate($height, $width); 
  if ($angle<0) 
  $angle = 360 + $angle % 360; 
  if ($angle>360) 
  $angle = $angle % 360; 
  
  if ($angle==180) 
  { 
  for($i=0;$i<$width;$i++) 
  for($j=0;$j<$height;$j++) 
  imagecopy($p, $pic, $i, $j, $width-$i, $height-$j, 1, 1); 
  return $p; 
  } 
  if ($angle==270) 
  { 
  for($i=0;$i<$width;$i++) 
  for($j=0;$j<$height;$j++) 
  imagecopy($p, $pic, $j, $i, $width-$i, $j, 1, 1); 
  return $p; 
  } 
  if ($angle==90) 
  { 
  for($i=0;$i<$width;$i++) 
  for($j=0;$j<$height;$j++) 
  imagecopy($p, $pic, $j, $i, $i, $height-$j, 1, 1); 
  return $p; 
  } 
  return $pic; 
}

?>